Subject: Re: [PATCH 3/3] [TC/U32] Infrastructure for pretty printing

From: jamal <[email-masked]>
Date: Mon, 21 Apr 2008 09:58:55 -0400

On Mon, 2008-21-04 at 15:29 +0200, Patrick McHardy wrote:

> Something like that. But it used to already work the
> way I described, at least for all parts where I tested
> it so far (IIRC routes/rules/addresses/qdiscs/classes/filters).

ok, missed that - i dont recall ever using it like that. But i will test
and make sure it works. Now i get more of what you are saying with the
env variables.

> Yes, the first part needs to be stripped (filter/qdisc/class/...).
> I usually do something like
> 
> "ip link/route/addr del <paste dump without first word here>".
> 
> Similar for tc.

Ok, just tried it on my laptop; u32 (and maybe the rest of the filters)
doesnt work in this mode. Essentially inputting is of the form
"match u{8,16,32} value mask" and output is of form "match
32bitval/32bitmask"
I think it should be easier to do with cooked mode and i will look into
it.

> It would be nice to dump it in a format that can be piped
> into batch mode without further changes, so it would have
> to insert "add" between "filter" and "protocol".

An additional processing may be needed in the save script.

cheers,
jamal